Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233519 - Review Request: amqp - grammar for amqp wire format
Summary: Review Request: amqp - grammar for amqp wire format
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nuno Santos
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-22 21:13 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-12 15:20:32 UTC
nsantos: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-03-22 21:13:00 UTC
Spec URL: http://people.redhat.com/rafaels/specs/amqp.spec
SRPM URL: http://people.redhat.com/rafaels/srpms/amqp-0.8-2rhm.src.rpm
Description: grammar for amqp wire format

Comment 2 Nuno Santos 2007-03-23 20:19:29 UTC
Review: amqp-0.8-2rhm.1.src.rpm

Legend:
OK: passes criteria
NO: fails criteria (errors included between "--" markers)
NA: non applicable
??: unable to verify

MUST:
OK * package is named appropriately
OK * is it legal for Fedora to distribute this?
OK * license field matches the actual license.
OK * license is open source-compatible.
OK * specfile name matches %{name}
OK * verify source and patches (md5sum matches upstream, know what the patches do)
OK * skim the summary and description for typos, etc.
OK * correct buildroot
OK * if %{?dist} is used, it should be in that form (note the ? and %
locations)
OK * license text included in package and marked with %doc
OK * keep old changelog entries; use judgement when removing (too old?
useless?)
OK * packages meets FHS (http://www.pathname.com/fhs/)
OK * rpmlint on <this package>.srpm gives no output

- warnings:
$ rpmlint amqp-0.8-2rhm.1.src.rpm
W: amqp non-standard-group Development/Java
(this warning is ok, according to past reviews)
W: amqp invalid-license AMQP
(license is open-source compatible)

OK * changelog should be in one of these formats:
OK * Packager tag should not be used
OK * Vendor tag should not be used
OK * Distribution tag should not be used
OK * use License and not Copyright 
OK * Summary tag should not end in a period
NA * if possible, replace PreReq with Requires(pre) and/or Requires(post)
OK * specfile is legible
OK * package successfully compiles and builds on at least x86
NA * BuildRequires are proper
OK * summary should be a short and concise description of the package
OK * description expands upon summary (don't include installation
instructions)
OK * make sure lines are <= 80 characters
OK * specfile written in American English
NA * make a -doc sub-package if necessary
NA * packages including libraries should exclude static libraries if possible
OK * don't use rpath
NA * config files should usually be marked with %config(noreplace)
NA * GUI apps should contain .desktop files
NA * should the package contain a -devel sub-package?
OK * use macros appropriately and consistently
OK * don't use %makeinstall
OK * install section must begin with rm -rf $RPM_BUILD_ROOT or %{buildroot}
NA * locale data handling correct (find_lang)
NA * consider using cp -p to preserve timestamps
NA * split Requires(pre,post) into two separate lines
OK * package should probably not be relocatable
OK * package contains code
OK * package should own all directories and files
OK * there should be no %files duplicates
OK * file permissions should be okay; %defattrs should be present
OK * %clean should be present
NA * %doc files should not affect runtime
NA * if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
OK * verify the final provides and requires of the binary RPMs
OK * run rpmlint on the binary RPMs
- warnings: see above

SHOULD:
OK * package should include license text in the package and mark it with %doc
OK * package should build on i386
OK * package should build in mock


Package is approved

Comment 3 Nuno Santos 2007-03-23 20:21:26 UTC
New Package CVS Request
=======================
Package Name: amqp
Short Description: The AMQP specification
Owners: nsantos@redhat.com, rafaels@redhat.com
Branches: devel
InitialCC: 

Comment 4 Bernard Johnson 2007-04-11 22:47:11 UTC
Pardon the bugzilla spam.  This package appears to have been approved, imported,
and built.

If that is the case, please close this bug RESOLVE -> NEXTRELEASE as documented
in the package review process:
http://fedoraproject.org/wiki/PackageReviewProcess?#head-df921556b35438a4c78b4b6a790151ea568e8f9e

Comment 5 Nuno Santos 2007-10-26 15:39:56 UTC
Package Change Request
======================
Package Name: amqp
New Branches: F-7 F-8

Please add branches to allow inclusion in F-7 updates and F-8 updates.


Comment 6 Warren Togami 2007-10-29 17:26:03 UTC
Again, these already exist.  What is your actual goal here?

Comment 7 Nuno Santos 2011-05-03 21:57:36 UTC
Package Change Request
======================
Package Name: amqp
New Branches: el6
Owners: nsantos silas


Got a request to add an EPEL-6 branch because of the python-txamqp dependency: https://bugzilla.redhat.com/show_bug.cgi?id=633063

Comment 8 Jason Tibbitts 2011-05-05 15:27:05 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.